<?xml version="1.0" encoding="utf-8" standalone="yes"?>
<xsl:stylesheet version="2.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">



	<!-- Template général -->
	<xsl:template match="/">  

		<fo:root xmlns:fo="http://www.w3.org/1999/XSL/Format">
			<fo:layout-master-set>

				<fo:simple-page-master master-name="landscapeA4" page-height="21cm" page-width="29.7cm" margin-top="1cm" margin-bottom="1cm" margin-left="1cm" margin-right="1cm">
					<fo:region-body />
				</fo:simple-page-master>
			</fo:layout-master-set>



			<fo:page-sequence master-reference="landscapeA4">

				<fo:flow flow-name="xsl-region-body">


					<!-- Header de la page -->
					<fo:block margin-top="10px" margin-bottom="10px" text-align="center" >
						<fo:inline font-family="Century Gothic" font-size="20pt" >Planning de la semaine du 08 au 12 Octobre 2012
						</fo:inline>
					</fo:block>



					<!-- Tableau avec l'emploi du temps complet -->
					<fo:table table-layout="fixed" width="100%" >

						<!-- Définition de la taille des colonnes -->
						<fo:table-column column-width="1.5cm" />
						<fo:table-column column-width="0.2cm" />
						<fo:table-column column-width="5cm" />
						<fo:table-column column-width="0.2cm" />
						<fo:table-column column-width="5cm" />
						<fo:table-column column-width="0.2cm" />
						<fo:table-column column-width="5cm" />
						<fo:table-column column-width="0.2cm" />
						<fo:table-column column-width="5cm" />
						<fo:table-column column-width="0.2cm" />
						<fo:table-column column-width="5cm" />
						<fo:table-column column-width="0.2cm" />


						<fo:table-body>


							<!-- 1ere ligne du tableau avec les jours -->
							<fo:table-row height="53px" background-image="images-xsl/degra_jours.png" border="none" >
								<fo:table-cell>
									<fo:block height="53px" text-align="center" >
									</fo:block>
								</fo:table-cell>

								<fo:table-cell>
									<fo:block height="53px" text-align="center" >
									</fo:block>
								</fo:table-cell>

								<fo:table-cell>
									<fo:block height="53px" text-align="center"  >
										<fo:block margin-top="10px">
											<fo:inline font-family="Century Gothic" font-size="14pt" font-weight="bold">Lundi<fo:block ></fo:block>08 Octobre 2012</fo:inline>
										</fo:block>
									</fo:block>
								</fo:table-cell>

								<fo:table-cell>
									<fo:block height="53px" text-align="center" ></fo:block>
								</fo:table-cell>

								<fo:table-cell>
									<fo:block height="53px"  text-align="center"  >
										<fo:block margin-top="10px">
											<fo:inline font-family="Century Gothic" font-size="14pt" font-weight="bold">Mardi<fo:block ></fo:block>09 Octobre 2012</fo:inline>
										</fo:block>
									</fo:block>
								</fo:table-cell>

								<fo:table-cell>
									<fo:block height="53px" text-align="center" ></fo:block>
								</fo:table-cell>
								<fo:table-cell>
									<fo:block height="53px"  text-align="center"  >
										<fo:block margin-top="10px">
											<fo:inline font-family="Century Gothic" font-size="14pt" font-weight="bold">Mercredi<fo:block ></fo:block>10 Octobre 2012</fo:inline>
										</fo:block>
									</fo:block>
								</fo:table-cell>

								<fo:table-cell>
									<fo:block height="53px" text-align="center" ></fo:block>
								</fo:table-cell>
								<fo:table-cell>
									<fo:block height="53px"  text-align="center"  >
										<fo:block margin-top="10px">
											<fo:inline font-family="Century Gothic" font-size="14pt" font-weight="bold">Jeudi<fo:block></fo:block>11 Octobre 2012</fo:inline>
										</fo:block>
									</fo:block>
								</fo:table-cell>

								<fo:table-cell>
									<fo:block height="53px"  text-align="center" ></fo:block>
								</fo:table-cell>
								<fo:table-cell>
									<fo:block height="53px"  text-align="center">
										<fo:block margin-top="10px">
											<fo:inline font-family="Century Gothic" font-size="14pt" font-weight="bold">Vendredi<fo:block ></fo:block>12 Octobre 2012</fo:inline>
										</fo:block>
									</fo:block>
								</fo:table-cell>

								<fo:table-cell>
									<fo:block height="53px"  text-align="center" ></fo:block>
								</fo:table-cell>
							</fo:table-row>







							<!-- 2eme ligne pour mettre un espace entre les jours et l'emploi du temps -->
							<fo:table-row height="0.09cm">

								<fo:table-cell >
									<fo:block ></fo:block>
								</fo:table-cell>

								<fo:table-cell >
									<fo:block ></fo:block>
								</fo:table-cell>

								<fo:table-cell >
									<fo:block ></fo:block>
								</fo:table-cell>

								<fo:table-cell >
									<fo:block ></fo:block>
								</fo:table-cell>

								<fo:table-cell >
									<fo:block ></fo:block>
								</fo:table-cell>

								<fo:table-cell  >
									<fo:block ></fo:block>
								</fo:table-cell>

								<fo:table-cell >
									<fo:block ></fo:block>
								</fo:table-cell>

								<fo:table-cell >
									<fo:block ></fo:block>
								</fo:table-cell>

								<fo:table-cell >
									<fo:block ></fo:block>
								</fo:table-cell>

								<fo:table-cell >
									<fo:block ></fo:block>
								</fo:table-cell>

								<fo:table-cell >
									<fo:block ></fo:block>
								</fo:table-cell>

								<fo:table-cell >
									<fo:block ></fo:block>
								</fo:table-cell>

							</fo:table-row>







							<!-- Appel du template qui va créer l'emploi du temps dans sa totalité -->
							<xsl:call-template name="EDT">
								<xsl:with-param name="heure_min">8</xsl:with-param>
								<xsl:with-param name="heure_max">20</xsl:with-param>
								<xsl:with-param name="minute">0</xsl:with-param>

							</xsl:call-template>




						</fo:table-body>
					</fo:table>


					<!-- Appel de la template qui va afficher le footer avec le listage des types avec leurs couleurs respectives -->
					<xsl:call-template name="liste_type" />


				</fo:flow>
			</fo:page-sequence>

		</fo:root>

	</xsl:template>  















	<!-- Template de création de l'emploi du temps -->
	<xsl:template name="EDT">
		<xsl:param name="heure_min"></xsl:param>
		<xsl:param name="heure_max"></xsl:param>
		<xsl:param name="minute"></xsl:param>

		<fo:table-row height="0.08cm" max-height="0.08cm">


			<!-- PREMIERE COLONNE : COLONNE DES HEURES -->


			<xsl:choose>


				<xsl:when test="($minute=0) and ($heure_min!=$heure_max)">

					<fo:table-cell border-top="1pt solid black" border-bottom="0.5pt solid black" display-align="center" number-rows-spanned="12" background-image="images-xsl/degra_heures.png">
						<fo:block font-family="Helvetica" font-size="8pt" text-align="center"  margin="2px">
							<fo:inline font-family="Century Gothic" font-size="12pt" font-weight="bold">
								<xsl:value-of select="$heure_min"/>H</fo:inline>
							</fo:block>
						</fo:table-cell>
					</xsl:when>

					<xsl:when test="($minute=0) and ($heure_min=$heure_max)">
						<fo:table-cell border-top="1pt solid black" border-bottom="0.5pt solid black" display-align="center" background-image="images-xsl/degra_heures.png">
							<fo:block  margin="2px">
							</fo:block>
						</fo:table-cell>
					</xsl:when>

					<xsl:otherwise>
					</xsl:otherwise>
				</xsl:choose>


				<!-- Appel de la template pour créer les colonnes de chaque jour -->
				<xsl:call-template name="ligneEDT">
					<xsl:with-param name="border_top">none</xsl:with-param>
					<xsl:with-param name="border_left">0.5pt solid black</xsl:with-param>
					<xsl:with-param name="border_right">0.5pt solid black</xsl:with-param>
					<xsl:with-param name="heure_min"><xsl:value-of select="$heure_min"/></xsl:with-param>
					<xsl:with-param name="heure_max"><xsl:value-of select="$heure_max"/></xsl:with-param>
					<xsl:with-param name="minute"><xsl:value-of select="$minute"/></xsl:with-param>

				</xsl:call-template>

			</fo:table-row>


			<!-- Appel recursif de la template EDT -->
			<xsl:if test="number($heure_min) &lt; number($heure_max)">

				<xsl:call-template name="EDT">

					<xsl:with-param name="heure_min">
						<xsl:choose>
							<xsl:when test="$minute +5 &gt; 55">
								<xsl:value-of select="$heure_min +1"></xsl:value-of>
							</xsl:when>
							<xsl:otherwise>
								<xsl:value-of select="$heure_min"></xsl:value-of>
							</xsl:otherwise>
						</xsl:choose>
					</xsl:with-param>

					<xsl:with-param name="minute">
						<xsl:choose>
							<xsl:when test="$minute +5 &gt; 55">
								<xsl:value-of select="0"></xsl:value-of>
							</xsl:when>
							<xsl:otherwise>
								<xsl:value-of select="$minute +5"></xsl:value-of>
							</xsl:otherwise>
						</xsl:choose>
					</xsl:with-param>

					<xsl:with-param name="heure_max">
						<xsl:value-of select="$heure_max"></xsl:value-of>
					</xsl:with-param>

				</xsl:call-template>

			</xsl:if>


		</xsl:template>


		<!-- Template de construction des colonnes jours en fonction de la date -->
		<xsl:template name="ligneEDT">
			<xsl:param name="border_top"></xsl:param>
			<xsl:param name="border_left"></xsl:param>
			<xsl:param name="border_right"></xsl:param>
			<xsl:param name="heure_min"></xsl:param>
			<xsl:param name="heure_max"></xsl:param>
			<xsl:param name="minute"></xsl:param>

			<!-- colonne entre la colonne des heures et la colonne de lundi -->
			<fo:table-cell >
				<xsl:attribute name="border-left">
					<xsl:value-of select="$border_left"/>
				</xsl:attribute>
				<xsl:attribute name="border-right">
					<xsl:value-of select="$border_right"/>
				</xsl:attribute>
				<fo:block font-family="Helvetica" ></fo:block>
			</fo:table-cell>


			<!-- LUNDI -->
			<xsl:call-template name="ligne_Creneau">
				<xsl:with-param name="border_top"><xsl:value-of select="$border_top"/></xsl:with-param>
				<xsl:with-param name="border_left"><xsl:value-of select="$border_left"/></xsl:with-param>
				<xsl:with-param name="border_right"><xsl:value-of select="$border_right"/></xsl:with-param>
				<xsl:with-param name="heure_min"><xsl:value-of select="$heure_min"/></xsl:with-param>
				<xsl:with-param name="heure_max"><xsl:value-of select="$heure_max"/></xsl:with-param>
				<xsl:with-param name="minute"><xsl:value-of select="$minute"/></xsl:with-param>
				<xsl:with-param name="date">08102012</xsl:with-param>
			</xsl:call-template>


			<!-- MARDI -->
			<xsl:call-template name="ligne_Creneau">
				<xsl:with-param name="border_top"><xsl:value-of select="$border_top"/></xsl:with-param>
				<xsl:with-param name="border_left"><xsl:value-of select="$border_left"/></xsl:with-param>
				<xsl:with-param name="border_right"><xsl:value-of select="$border_right"/></xsl:with-param>
				<xsl:with-param name="heure_min"><xsl:value-of select="$heure_min"/></xsl:with-param>
				<xsl:with-param name="heure_max"><xsl:value-of select="$heure_max"/></xsl:with-param>
				<xsl:with-param name="minute"><xsl:value-of select="$minute"/></xsl:with-param>
				<xsl:with-param name="date">09102012</xsl:with-param>
			</xsl:call-template>


			<!-- MERCREDI -->
			<xsl:call-template name="ligne_Creneau">
				<xsl:with-param name="border_top"><xsl:value-of select="$border_top"/></xsl:with-param>
				<xsl:with-param name="border_left"><xsl:value-of select="$border_left"/></xsl:with-param>
				<xsl:with-param name="border_right"><xsl:value-of select="$border_right"/></xsl:with-param>
				<xsl:with-param name="heure_min"><xsl:value-of select="$heure_min"/></xsl:with-param>
				<xsl:with-param name="heure_max"><xsl:value-of select="$heure_max"/></xsl:with-param>
				<xsl:with-param name="minute"><xsl:value-of select="$minute"/></xsl:with-param>
				<xsl:with-param name="date">10102012</xsl:with-param>
			</xsl:call-template>


			<!-- JEUDI -->
			<xsl:call-template name="ligne_Creneau">
				<xsl:with-param name="border_top"><xsl:value-of select="$border_top"/></xsl:with-param>
				<xsl:with-param name="border_left"><xsl:value-of select="$border_left"/></xsl:with-param>
				<xsl:with-param name="border_right"><xsl:value-of select="$border_right"/></xsl:with-param>
				<xsl:with-param name="heure_min"><xsl:value-of select="$heure_min"/></xsl:with-param>
				<xsl:with-param name="heure_max"><xsl:value-of select="$heure_max"/></xsl:with-param>
				<xsl:with-param name="minute"><xsl:value-of select="$minute"/></xsl:with-param>
				<xsl:with-param name="date">11102012</xsl:with-param>
			</xsl:call-template>


			<!-- VENDREDI -->
			<xsl:call-template name="ligne_Creneau">
				<xsl:with-param name="border_top"><xsl:value-of select="$border_top"/></xsl:with-param>
				<xsl:with-param name="border_left"><xsl:value-of select="$border_left"/></xsl:with-param>
				<xsl:with-param name="border_right"><xsl:value-of select="$border_right"/></xsl:with-param>
				<xsl:with-param name="heure_min"><xsl:value-of select="$heure_min"/></xsl:with-param>
				<xsl:with-param name="heure_max"><xsl:value-of select="$heure_max"/></xsl:with-param>
				<xsl:with-param name="minute"><xsl:value-of select="$minute"/></xsl:with-param>
				<xsl:with-param name="date">12102012</xsl:with-param>
			</xsl:call-template>


		</xsl:template>


		<!-- Template de construction de chaque ligne du tableau -->
		<xsl:template name="ligne_Creneau">
			<xsl:param name="border_top"></xsl:param>
			<xsl:param name="border_left"></xsl:param>
			<xsl:param name="border_right"></xsl:param>
			<xsl:param name="heure_min"></xsl:param>
			<xsl:param name="heure_max"></xsl:param>
			<xsl:param name="minute"></xsl:param>
			<xsl:param name="date"></xsl:param>


			<!-- Affectation d'une valeur à la variable ecriture_ligne -->
			<!-- On affecte 1 dès le début -->
			<xsl:variable name="ecriture_ligne">
				1
				<xsl:for-each select="EDT/creneau">
					<!-- on ajoute stop si l'heure et la minute en parametres correspondent dans un des creneaux -->
					<xsl:if test="number(substring-before(heure_debut,'h')) = $heure_min and number(substring-after(heure_debut,'h')) = $minute and date=$date">
						stop
					</xsl:if>

					<!-- On ajoute stop si on se trouve dans l'interval d'un créneau -->
					<xsl:if test="( number(substring-before(heure_debut,'h')) * 100 + number(substring-after(heure_debut,'h')) &lt; $heure_min * 100 + $minute ) and ( number(substring-before(heure_fin,'h')) * 100 + number(substring-after(heure_fin,'h')) &gt; $heure_min * 100 + $minute ) and date=$date">
						stop
					</xsl:if>

				</xsl:for-each>
			</xsl:variable>


			<!-- On parcoure le fichier XML afin de déterminer le remplissage de la cellule -->
			<xsl:for-each select="EDT/creneau">

				<!-- On vérifie si c'est le début d'un créneau -->
				<xsl:if test="number(substring-before(heure_debut,'h')) = $heure_min and number(substring-after(heure_debut,'h')) = $minute and date=$date">
					<fo:table-cell >

						<!-- On affecte une couleur au fond de la cellule en fonction du type en fesant appel au template color_cell_sum -->
						<xsl:attribute name="background-color">
							<xsl:call-template name="color_cell_sum">
								<xsl:with-param name="type"><xsl:value-of select="type"/></xsl:with-param>
							</xsl:call-template>
						</xsl:attribute>

						<!-- On détermine le nombre de ligne à fusionner ensemble pour mettre en place le créneau entier sur l'emploi du temps -->
						<xsl:attribute name="number-rows-spanned">
							<xsl:value-of select="(( number(substring-before(heure_fin,'h')) - number(substring-before(heure_debut,'h')) )*12 + ( number(substring-after(heure_fin,'h')) - number(substring-after(heure_debut,'h')) ) div 5)"/>
						</xsl:attribute>


						<xsl:attribute name="border-top">
							<xsl:value-of select="$border_top"/>
						</xsl:attribute>


						<!-- Tête du créneau avec les heures de début et de fin et le lien vers arel du module -->
						<fo:block text-align="center" width="4.4cm" margin-left="0.2cm" margin-right="0.2cm">

							<!-- On attribue une couleur plus foncée que le fond de la cellule en fesant appel à la template color_cell_hour -->
							<xsl:attribute name="background-color">
								<xsl:call-template name="color_cell_hour">
									<xsl:with-param name="type"><xsl:value-of select="type"/></xsl:with-param>
								</xsl:call-template>
							</xsl:attribute>

							<fo:block text-align-last="justify" margin-left="32.5%" > 
								<fo:inline font-size="8pt" font-family="Century Gothic" padding-right="0.1cm" font-weight="bold">
									<xsl:value-of select="substring-before(heure_debut,'h')"/>:<xsl:value-of select="substring-after(heure_debut,'h')"/> - <xsl:value-of select="substring-before(heure_fin,'h')"/>:<xsl:value-of select="substring-after(heure_fin,'h')"/>
									<fo:leader leader-pattern="space" />
									<fo:basic-link >
										<xsl:attribute name="external-destination">
											<xsl:value-of select="lien"/>
										</xsl:attribute>
										<fo:external-graphic src="images-xsl/link.png" content-height="0.33cm" content-width="0.33cm" ></fo:external-graphic>
									</fo:basic-link>
								</fo:inline>
							</fo:block>
						</fo:block>

						<!-- Bloc d'affichage de l'option, du module et du type si existant -->
						<fo:block text-align="center" ><fo:inline font-size="8pt" font-family="Century Gothic"><xsl:value-of select="option"/> : <xsl:value-of select="Module"/><xsl:if test="type!=''"> (<xsl:value-of select="type"/>)</xsl:if></fo:inline></fo:block>

						<!-- Bloc affichant le groupe et la salle du créneau -->
						<fo:block text-align-last="justify" margin-left="0.5cm" margin-right="0.5cm"> 
							<fo:inline font-size="8pt" font-family="Century Gothic"  font-weight="bold">
								<xsl:value-of select="groupe"/>
								<fo:leader leader-pattern="space" />
								<xsl:value-of select="salle"/>
							</fo:inline>
						</fo:block>

					</fo:table-cell>

				</xsl:if>
			</xsl:for-each>




			<!-- Vérification avec la variable ecriture_ligne si une cellule a été créé -->
			<!-- De plus on créé les lignes de séparation d'heure et de quart d'heure -->
			<xsl:if test="number($ecriture_ligne)">
				<fo:table-cell >
					<xsl:attribute name="border-top" >

						<xsl:choose>
							<xsl:when test="$minute = 0">
								1pt solid black
							</xsl:when>

							<xsl:when test="(($minute = 15) or ($minute= 30) or ($minute = 45))">
								0.5pt dashed grey
							</xsl:when >

							<xsl:otherwise>
								<xsl:value-of select="$border_top"/>
							</xsl:otherwise>
						</xsl:choose>

					</xsl:attribute>

					<fo:block  ></fo:block>
				</fo:table-cell>

			</xsl:if>

			<!-- On créé une cellule juste après la cellule du jour pour marquer une séparation -->
			<fo:table-cell >
				<xsl:attribute name="border-left">
					<xsl:value-of select="$border_left"/>
				</xsl:attribute>

				<xsl:attribute name="border-right">
					<xsl:value-of select="$border_right"/>
				</xsl:attribute>
				<fo:block ></fo:block>
			</fo:table-cell>


		</xsl:template>


		<!-- Template renvoyant le code couleur du cadre en haut d'un créneau en fonction du type -->
		<xsl:template name="color_cell_hour">
			<xsl:param name="type"></xsl:param>

			<xsl:choose>
				<xsl:when test="$type='PJ'">#77ba52</xsl:when>
				<xsl:when test="$type='CO'">#a53d50</xsl:when>
				<xsl:when test="$type='CT'">#c15941</xsl:when>
				<xsl:when test="$type='TD'">#7349ac</xsl:when>
				<xsl:when test="$type='EX'">#447ba0</xsl:when>
				<xsl:otherwise>#f69616</xsl:otherwise>
			</xsl:choose>

		</xsl:template>


		<!-- Template renvoyant le code couleur du fond d'un créneau en fonction du type -->
		<xsl:template name="color_cell_sum">
			<xsl:param name="type"></xsl:param>

			<xsl:choose>
				<xsl:when test="$type='PJ'">#A7D28F</xsl:when>
				<xsl:when test="$type='CO'">#C96E7E</xsl:when>
				<xsl:when test="$type='CT'">#D28674</xsl:when>
				<xsl:when test="$type='TD'">#8D69BF</xsl:when>
				<xsl:when test="$type='EX'">#699CBF</xsl:when>
				<xsl:otherwise>#F9BB68</xsl:otherwise>
			</xsl:choose>


		</xsl:template>


		<!-- Template affichant le tableau du bas de page -->
		<xsl:template name="liste_type">

			<fo:table  table-layout="fixed" text-align="center" margin-top="0.5cm" width="100%" >

				<fo:table-column column-width="4.2cm" />
				<fo:table-column column-width="0.5cm" />
				<fo:table-column column-width="2cm" />
				<fo:table-column column-width="0.5cm" />
				<fo:table-column column-width="3.5cm" />
				<fo:table-column column-width="0.5cm" />
				<fo:table-column column-width="2.5cm" />
				<fo:table-column column-width="0.5cm" />
				<fo:table-column column-width="1.5cm" />
				<fo:table-column column-width="0.5cm" />
				<fo:table-column column-width="2.3cm" />
				<fo:table-column column-width="0.5cm" />
				<fo:table-column column-width="2cm" />
				<fo:table-column column-width="0.5cm" />
				<fo:table-column column-width="3cm" />


				<fo:table-body>
					<fo:table-row display-align="center" >
						<fo:table-cell >
							<fo:block>
							</fo:block>
						</fo:table-cell>

						<fo:table-cell text-align="right" >
							<fo:block><fo:external-graphic src="images-xsl/carre_pj.png" border="1pt solid #77ba52"/>
						</fo:block>
					</fo:table-cell>

					<fo:table-cell text-align="left">
						<fo:block margin-left="0.1cm">  <fo:inline font-size="8pt" font-family="Century Gothic" font-weight="bold">
							Projets</fo:inline>
						</fo:block>
					</fo:table-cell>

					<fo:table-cell text-align="right" >
						<fo:block><fo:external-graphic src="images-xsl/carre_co.png" border="1pt solid #a53d50"/>
					</fo:block>
				</fo:table-cell>

				<fo:table-cell text-align="left">
					<fo:block margin-left="0.1cm">  <fo:inline font-size="8pt" font-family="Century Gothic" font-weight="bold">
						Cours Magistraux</fo:inline>
					</fo:block>
				</fo:table-cell>


				<fo:table-cell text-align="right" >
					<fo:block><fo:external-graphic src="images-xsl/carre_ct.png" border="1pt solid #c15941"/>
				</fo:block>
			</fo:table-cell>

			<fo:table-cell text-align="left">
				<fo:block margin-left="0.1cm">  <fo:inline font-size="8pt" font-family="Century Gothic" font-weight="bold">
					Cours TDs</fo:inline>
				</fo:block>
			</fo:table-cell>


			<fo:table-cell text-align="right" >
				<fo:block><fo:external-graphic src="images-xsl/carre_td.png" border="1pt solid #7349ac"/>
			</fo:block>
		</fo:table-cell>

		<fo:table-cell text-align="left">
			<fo:block margin-left="0.1cm">  <fo:inline font-size="8pt" font-family="Century Gothic" font-weight="bold">
				TDs</fo:inline>
			</fo:block>
		</fo:table-cell>

		<fo:table-cell text-align="right" >
			<fo:block><fo:external-graphic src="images-xsl/carre_ex.png" border="1pt solid #447ba0"/>
		</fo:block>
	</fo:table-cell>

	<fo:table-cell text-align="left">
		<fo:block margin-left="0.1cm">  <fo:inline font-size="8pt" font-family="Century Gothic" font-weight="bold">
			Examen</fo:inline>
		</fo:block>
	</fo:table-cell>


	<fo:table-cell text-align="right" >
		<fo:block><fo:external-graphic src="images-xsl/carre_au.png" border="1pt solid #f69616"/>
	</fo:block>
</fo:table-cell>

<fo:table-cell text-align="left">
	<fo:block margin-left="0.1cm">  <fo:inline font-size="8pt" font-family="Century Gothic" font-weight="bold">
		Autres</fo:inline>
	</fo:block>
</fo:table-cell>


<fo:table-cell text-align="right" >
	<fo:block><fo:external-graphic src="images-xsl/link.png" content-width="0.5cm" content-height="0.5cm"/>
</fo:block>
</fo:table-cell>

<fo:table-cell text-align="left">
	<fo:block margin-left="0.1cm">  <fo:inline font-size="8pt" font-family="Century Gothic" font-weight="bold">
		Lien vers le module</fo:inline>
	</fo:block>
</fo:table-cell>

</fo:table-row>
</fo:table-body>
</fo:table>

</xsl:template>


</xsl:stylesheet>